function [SupResParams, locN] = localize_Frame(Frame, algo_handle, settings)


frameN=size(Frame, 3);

SupResParams=struct();
locN=zeros(frameN, 1);
for frameIdx=1:frameN
    actFrame=Frame(:,:,frameIdx);
    SupResParams_temp = rainSTORM_main_loop(frameIdx,actFrame,algo_handle,settings);
    
    if frameIdx==1
        SupResParams=SupResParams_temp;
    else
        SupResParams=[SupResParams, SupResParams_temp];
    end
    
    if ~isempty(SupResParams)
        locN(frameIdx)=sum([SupResParams.frame_idx]==frameIdx);
    else
        locN=0;
    end
end

end

